org.apache.storm.solr.topology

## Class SolrTopology

- java.lang.Object
- - org.apache.storm.solr.topology.SolrTopology

- Direct Known Subclasses:
    SolrFieldsTopology, SolrJsonTopology

      public abstract class SolrTopology
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `COLLECTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrTopology()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Config` | `getConfig()`
    `protected static org.apache.solr.client.solrj.SolrClient` | `getSolrClient()`
    `protected SolrCommitStrategy` | `getSolrCommitStgy()`
    `protected static SolrConfig` | `getSolrConfig()`
    `protected abstract StormTopology` | `getTopology()`
    `void` | `run(String[] args)`
    `protected void` | `submitTopologyRemoteCluster(String arg, StormTopology topology, Config config)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COLLECTION

          protected static String COLLECTION

  - ### Constructor Detail

    - #### SolrTopology

          public SolrTopology()

  - ### Method Detail

    - #### run

          public void run(String[] args)
                   throws Exception

      Throws:
        `Exception`

    - #### getTopology

          protected abstract StormTopology getTopology()
                                                throws IOException

      Throws:
        `IOException`

    - #### submitTopologyRemoteCluster

          protected void submitTopologyRemoteCluster(String arg,
                                                     StormTopology topology,
                                                     Config config)
                                              throws Exception

      Throws:
        `Exception`

    - #### getConfig

          protected Config getConfig()

    - #### getSolrCommitStgy

          protected SolrCommitStrategy getSolrCommitStgy()

    - #### getSolrConfig

          protected static SolrConfig getSolrConfig()

    - #### getSolrClient

          protected static org.apache.solr.client.solrj.SolrClient getSolrClient()

Copyright © 2019 The Apache Software Foundation. All rights reserved.